---
title: "Gets specific Customer Logs by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-customerlogs-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Customer Logs by unique id

`GET` `/customerlogs/{id}`

Operation ID: `get-customerlogs-id`

Gets specific Customer Logs by unique id

## Path parameters

- `id` (integer, int32, required) - Customer log id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Customer
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Customer logs not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /customerlogs/{id}:
    get:
      tags:
        - customerlogs
      summary: Gets specific Customer Logs by unique id
      description: Gets specific Customer Logs by unique id
      operationId: get-customerlogs-id
      parameters:
        - name: id
          in: path
          description: Customer log id
          required: true
          schema:
            type: integer
            description: Customer log id
            format: int32
            example: 10000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Customer
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CustomerLogVM"
              example:
                id: 0
                customer_id: 0
                customer_number: string
                master_customer_id: 0
                master_customer_number: string
                created_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                loyalty_points_balance: 0
                price_groups:
                  - id: 0
                    name: string
                    type: string
                notes: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Customer logs not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    CustomerLogVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        customer_id:
          type: integer
          description: Customer Identifier
          format: int32
        customer_number:
          type: string
          description: Customer Number
          nullable: true
        master_customer_id:
          type: integer
          description: Master Customer Identifier
          format: int32
          nullable: true
        master_customer_number:
          type: string
          nullable: true
        created_on:
          type: string
          description: Created On
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        loyalty_points_balance:
          type: number
          description: Loyalty Points Balance
          format: double
          nullable: true
        price_groups:
          type: array
          items:
            $ref: "#/components/schemas/PriceGroup"
          description: Price Group
          nullable: true
        notes:
          type: string
          description: Notes
          nullable: true
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    PriceGroup:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        type:
          type: string
          description: Type
          nullable: true
      additionalProperties: false
      description: Price group model
```
